Projects

Create a project

POST
/api/projects

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Request Body

  1. body
name*string
Length1 <= length
timeZone?string
Length1 <= length
workspaceId?string
Length1 <= length

Response Body

Response for status 201

application/json
  1. response
project*
Example Request
curl -X POST 'https://postbot.example/api/projects' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
Example Response
{
  "project": {
    "id": "string",
    "name": "string",
    "timeZone": "string",
    "workspaceId": "string",
    "primaryCategoryId": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991
  }
}

Was this page helpful?